Subject: RE: [mobile-ip] draft-ietf-mobileip-aaa-nai-01.txt

From: "Ahmad Muhanna"<[email-masked]>
Date: Fri, 24 May 2002 09:15:52 -0500

Hi Fredrik,
It looks perfect.

Regards; 
Ahmad Muhanna 

Hi Ahmad,
 
Sorry for the late response.
 
I have no ptoblem with changing the text. I have updated the draft to say:

     "A mobile node that recieves this extension in a registration reply 
      message MUST provide it in every registration request when 
      re-authentication is needed. If the mobile node requests a specific
home
      agent and it has the information available it MUST provide this 
      extension in its initial registration request"
 
Regards,
/Fredrik

Hello Fredrik, 
I know that you would like to address backward compatibility at the network
side rather in this draft. 
However, If we can come up with something neat here, it would be a plus. 
What do you think about replacing paragraph 3 in section 4 by the proposed
text below. 
Section 4: 
"  A mobile node MUST provide this in every registration request sent 
   when re-authenticating, or when requesting a specific IP address at 
   initial authentication." 
Proposed text: 
"  After receiving this extension in a registration reply message, the
Mobile Node 
   MUST provide it in every registration request when re-authenticating is
needed. 
   If the Mobile Node requests a specific IP address and this extension is
available, 
   the Mobile Node MUST provide this extension in its initial registration
request. 
" 
Regards; 
Ahmad Muhanna 

> 
> 
> Hi All, 
> 
> We have submitted a new version of the above mentioned draft, 
> if you want 
> access to it before it gets published, it can be found at 
> 
> http://stargate.ipunplugged.com/ietf/draft-ietf-mobileip-aaa-n 
> ai-01.txt 
> 
> /Fredrik 
> 
>